Bug 1411112 - Delete / update cloud tenant not reflected in UI in cloud tenant list
Summary: Delete / update cloud tenant not reflected in UI in cloud tenant list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1444650
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 13:09 UTC by Ronnie Rasouli
Modified: 2017-08-30 03:47 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:32:41 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
evm.log reproducing the issue (188.03 KB, text/plain)
2017-01-08 13:09 UTC, Ronnie Rasouli
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ronnie Rasouli 2017-01-08 13:09:06 UTC
Created attachment 1238390 [details]
evm.log reproducing the issue

Description of problem:

during automation testing found the issue, creating a cloud tenant via UI and deleting it failed
https://github.com/ManageIQ/integration_tests/pull/3942

The delete action fails in UI, however in RHOS cloud provider delete has been succeeded

Version-Release number of selected component (if applicable):
5.7.0.16, RHOS10

How reproducible:
100% you can run auto test to confirm it

Steps to Reproduce:
1.login to CFME UI
2. navigate to compute --> cloud --> Tenants 
3. add new cloud tenant
4. delete the added cloud tenant

Actual results:

The list does not get updated for the deleted cloud tenant
 
Expected results:

Invoke the delete action in UI as well

Additional info:

Comment 2 Ronnie Rasouli 2017-01-08 13:11:55 UTC
WORKAROUND: refresh cloud provider prior refreshing tenants list

Comment 3 Tzu-Mainn Chen 2017-01-09 14:11:58 UTC
It sounds like the cloud tenant was deleted; the BZ is about the cloud tenant list not immediately updating on the CloudForms side, correct?  If so, that's expected - CloudForms won't update anything until a provider refresh runs.  There's no such thing as a 'UI delete action' that exists independently of whatever triggers the OpenStack delete.

Comment 4 Ronnie Rasouli 2017-01-12 09:07:07 UTC
If we query the openstack tenant list the deleted tenant is not there as expected, how does it work in the case of tenant add that the tenant list is immediate, could this mechanism work. the user experience and in automation testing the deleted tenant that still exist in list is quite pain.

Comment 5 Tzu-Mainn Chen 2017-01-12 12:51:07 UTC
Having the tenant appear immediately in the add-tenant case is actually a bit of a bug; as of now ManageIQ only reliably supports waiting for a refresh from the source cloud provider - anything else can cause a race condition.

Comment 6 Tzu-Mainn Chen 2017-01-31 15:51:59 UTC
Marek pointed out that we seem to have overlooked the monitoring of events around cloud tenants; adding this will mean refresh should trigger automatically after a cloud tenant delete.

Comment 8 CFME Bot 2017-02-23 20:43:06 UTC
New commit detected on ManageIQ/manageiq-content/master:
https://github.com/ManageIQ/manageiq-content/commit/2d868068e7f32dc1a0e57976e9f54168a0eeb18b

commit 2d868068e7f32dc1a0e57976e9f54168a0eeb18b
Author:     Tzu-Mainn Chen <tzumainn@redhat.com>
AuthorDate: Thu Feb 23 18:10:22 2017 +0100
Commit:     Tzu-Mainn Chen <tzumainn@redhat.com>
CommitDate: Thu Feb 23 18:10:22 2017 +0100

    Add openstack cloud tenant events
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411112

 .../EmsEvent/OpenStack.class/identity.project.created.yaml   | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/identity.project.deleted.yaml   | 12 ++++++++++++
 .../EmsEvent/OpenStack.class/identity.project.updated.yaml   | 12 ++++++++++++
 3 files changed, 36 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/OpenStack.class/identity.project.created.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/OpenStack.class/identity.project.deleted.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/OpenStack.class/identity.project.updated.yaml

Comment 9 CFME Bot 2017-03-06 21:46:20 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/706ab4bef45f1ea30a7392d954748970238ece9e

commit 706ab4bef45f1ea30a7392d954748970238ece9e
Author:     Tzu-Mainn Chen <tzumainn@redhat.com>
AuthorDate: Thu Feb 23 18:08:24 2017 +0100
Commit:     Tzu-Mainn Chen <tzumainn@redhat.com>
CommitDate: Thu Feb 23 18:08:24 2017 +0100

    Add openstack cloud tenant events
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411112

 config/settings.yml | 3 +++
 1 file changed, 3 insertions(+)

Comment 10 Ronnie Rasouli 2017-03-08 14:17:49 UTC
works with same manner as BZ reported, failing this BZ

Comment 11 Tzu-Mainn Chen 2017-03-08 14:22:35 UTC
The change will not be instantaneous; none of the ManageIQ UI works that way.  Can you check in the log to see if the event matching your action exists?

- identity.project.created
- identity.project.deleted
- identity.project.updated

Comment 14 Ronnie Rasouli 2017-04-30 12:03:24 UTC
verified on 5.8.0.11

Comment 16 errata-xmlrpc 2017-05-31 14:32:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.